Login
Newsletter
Werbung

Sicherheit: Cross-Site Request Forgery in cups
Aktuelle Meldungen Distributionen
Name: Cross-Site Request Forgery in cups
ID: SUSE-SU-2018:4059-1
Distribution: SUSE
Plattformen: SUSE Linux Enterprise Module for Basesystem 15, SUSE Linux Enterprise Module for Development Tools 15, SUSE Linux Enterprise Module for Desktop Applications 15
Datum: Mo, 10. Dezember 2018, 20:11
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-4700
Applikationen: Common UNIX Printing System

Originalnachricht

   SUSE Security Update: Security update for cups
______________________________________________________________________________

Announcement ID: SUSE-SU-2018:4059-1
Rating: important
References: #1115750
Cross-References: CVE-2018-4700
Affected Products:
SUSE Linux Enterprise Module for Development Tools 15
SUSE Linux Enterprise Module for Desktop Applications 15
SUSE Linux Enterprise Module for Basesystem 15
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:

This update for cups fixes the following issues:

Security issue fixed:

- CVE-2018-4700: Fixed extremely predictable cookie generation that is
effectively breaking the CSRF protection of the CUPS web interface
(bsc#1115750).


Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation
methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Module for Development Tools 15:

zypper in -t patch SUSE-SLE-Module-Development-Tools-15-2018-2882=1

- SUSE Linux Enterprise Module for Desktop Applications 15:

zypper in -t patch SUSE-SLE-Module-Desktop-Applications-15-2018-2882=1

- SUSE Linux Enterprise Module for Basesystem 15:

zypper in -t patch SUSE-SLE-Module-Basesystem-15-2018-2882=1



Package List:

- SUSE Linux Enterprise Module for Development Tools 15 (aarch64 ppc64le
s390x x86_64):

cups-ddk-2.2.7-3.6.1
cups-ddk-debuginfo-2.2.7-3.6.1
cups-debuginfo-2.2.7-3.6.1
cups-debugsource-2.2.7-3.6.1

- SUSE Linux Enterprise Module for Desktop Applications 15 (x86_64):

cups-debugsource-2.2.7-3.6.1
libcups2-32bit-2.2.7-3.6.1
libcups2-32bit-debuginfo-2.2.7-3.6.1

- SUSE Linux Enterprise Module for Basesystem 15 (aarch64 ppc64le s390x
x86_64):

cups-2.2.7-3.6.1
cups-client-2.2.7-3.6.1
cups-client-debuginfo-2.2.7-3.6.1
cups-config-2.2.7-3.6.1
cups-debuginfo-2.2.7-3.6.1
cups-debugsource-2.2.7-3.6.1
cups-devel-2.2.7-3.6.1
libcups2-2.2.7-3.6.1
libcups2-debuginfo-2.2.7-3.6.1
libcupscgi1-2.2.7-3.6.1
libcupscgi1-debuginfo-2.2.7-3.6.1
libcupsimage2-2.2.7-3.6.1
libcupsimage2-debuginfo-2.2.7-3.6.1
libcupsmime1-2.2.7-3.6.1
libcupsmime1-debuginfo-2.2.7-3.6.1
libcupsppdc1-2.2.7-3.6.1
libcupsppdc1-debuginfo-2.2.7-3.6.1


References:

https://www.suse.com/security/cve/CVE-2018-4700.html
https://bugzilla.suse.com/1115750

_______________________________________________
sle-security-updates mailing list
sle-security-updates@lists.suse.com
http://lists.suse.com/mailman/listinfo/sle-security-updates
Pro-Linux
Gewinnspiel
Neue Nachrichten
Werbung